> For the complete documentation index, see [llms.txt](https://docs.platform.softwareone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.platform.softwareone.com/developer-resources/rest-api/accounts-api/cloud-tenants/update-cloud-tenant.md).

# Update cloud tenant

## Update cloud tenant

> Update cloud tenant.\
> Available for Operations account with platform account management permissions.\
> Support partial update pattern (e.g. name, status).\
> Returns the updated cloud tenant object.

```json
{"openapi":"3.0.1","info":{"title":"Marketplace API","version":"5.0.5661-g83ffb015"},"servers":[{"url":"https://api.platform.softwareone.com"}],"paths":{"/public/v1/accounts/cloud-tenants/{id}":{"put":{"tags":["CloudTenants"],"summary":"Update cloud tenant","description":"Update cloud tenant.\nAvailable for Operations account with platform account management permissions.\nSupport partial update pattern (e.g. name, status).\nReturns the updated cloud tenant object.","parameters":[{"name":"id","in":"path","description":"Cloud tenant identifier.","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Delta payload with updated fields.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CloudTenant"}},"text/json":{"schema":{"$ref":"#/components/schemas/CloudTenant"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/CloudTenant"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CloudTenant"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"CloudTenant":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"account":{"type":"object","allOf":[{"$ref":"#/components/schemas/AccountRef"}]},"externalIds":{"allOf":[{"$ref":"#/components/schemas/CloudTenantExternalIds"}],"nullable":true},"status":{"type":"string"},"type":{"type":"string"}},"additionalProperties":false},"PlatformObjectAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"PlatformObjectEvent":{"type":"object","properties":{"at":{"type":"string","format":"date-time","nullable":true},"by":{"type":"object","allOf":[{"$ref":"#/components/schemas/PlatformIdentityRef"}]}},"additionalProperties":false},"PlatformIdentityRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"PlatformMetadata":{"type":"object","properties":{"omitted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"AccountRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"type":{"allOf":[{"$ref":"#/components/schemas/AccountType"}],"nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/AccountStatus"}],"nullable":true}},"additionalProperties":false},"AccountType":{"enum":["Client","Vendor","Operations"],"type":"string"},"AccountStatus":{"enum":["Active","Enabled","Disabled"],"type":"string"},"CloudTenantExternalIds":{"type":"object","properties":{"cloudConsumptionId":{"type":"string","format":"uuid"},"providerId":{"type":"string","nullable":true},"pyraTenantId":{"type":"string","format":"uuid"}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/accounts-api/cloud-tenants/update-cloud-tenant.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
